#
# spec file for package atmel-firmware (Version 1.0)
#
# Copyright (c) 2004 SUSE LINUX AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  hotplug

BuildRequires: aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libselinux libstdc++ libxcrypt m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace syslogd sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils gcc gdbm gettext hotplug libtool perl rpm

Name:         atmel-firmware
Version:      1.0
Release:      1.1
License:      GPL, Other License(s), see package
Group:        Hardware/Other
URL:          http://www.thekelleys.org.uk/atmel
Source0:      atmel_firmware.tar.bz2
Requires:     hotplug
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
Summary:      Firmware for Atmel at76c50x wireless network chips

%description
The drivers for Atmel at76c50x wireless network chipss in the Linux
2.6.x kernel and at http://at76c503a.berlios.de/ do not include the
firmware and this firmware needs to be loaded by the host on most cards
using these chips. This package provides the firmware images which
should be automatically loaded as needed by the hotplug system. It also
provides a small loader utility which can be used to accomplish the
same thing when hotplug is not in use.



Authors:
--------
    Atmel Corp.
    Simon Kelley <simon@thekelleys.org.uk>

%prep
%setup -q

%build
gcc -o atmel_fwl atmel_fwl.c
###############################################################################
#
# Install
#
###############################################################################

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p -m 755 $RPM_BUILD_ROOT/usr/sbin
mkdir -p -m 755 $RPM_BUILD_ROOT/usr/lib/hotplug/firmware
mkdir -p -m 755 $RPM_BUILD_ROOT/usr/share/man/man8
mkdir -p -m 755 $RPM_BUILD_ROOT/etc/pcmcia
cp images/* $RPM_BUILD_ROOT/usr/lib/hotplug/firmware
cp images.usb/* $RPM_BUILD_ROOT/usr/lib/hotplug/firmware
strip atmel_fwl
cp atmel_fwl $RPM_BUILD_ROOT/usr/sbin
cp atmel_fwl.8 $RPM_BUILD_ROOT/usr/share/man/man8
gzip $RPM_BUILD_ROOT/usr/share/man/man8/atmel_fwl.8
cp atmel.conf $RPM_BUILD_ROOT/etc/pcmcia
###############################################################################
#
# Clean up
#
###############################################################################

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ -f /var/run/cardmgr.pid ]; then
    kill -HUP `cat /var/run/cardmgr.pid`
fi

%files
%defattr(-,root,root)
%doc README COPYING 
%attr(0755,root,root) /usr/sbin/atmel_fwl
%attr(0644,root,root) /usr/share/man/man8/atmel_fwl.8.gz
%attr(0644,root,root) /etc/pcmcia/atmel.conf
%dir /etc/pcmcia
%dir /usr/lib/hotplug/firmware
/usr/lib/hotplug/firmware/

%changelog -n atmel-firmware
* Mon May 24 2004 - jg@suse.de
- Initial SuSE package
